Module jdk.jfr
Package jdk.jfr

## Annotation Type Timespan

    @Retention(RUNTIME)
    @Target({FIELD,TYPE,METHOD})
    public @interface Timespan

Event field annotation, specifies that the value is a duration.

Since:
  9

### Field Summary

Fields
`static String` `MICROSECONDS` Unit for microseconds.
`static String` `MILLISECONDS` Unit for milliseconds.
`static String` `NANOSECONDS` Unit for nanoseconds.
`static String` `SECONDS` Unit for seconds.
`static String` `TICKS` Unit for ticks.

### Optional Element Summary

Optional Elements
`String` `value` Returns the unit of measure for the time span.

### Field Detail

#### TICKS

    static final String TICKS

Unit for ticks.

#### SECONDS

    static final String SECONDS

Unit for seconds.

#### MILLISECONDS

    static final String MILLISECONDS

Unit for milliseconds.

#### NANOSECONDS

    static final String NANOSECONDS

Unit for nanoseconds.

#### MICROSECONDS

    static final String MICROSECONDS

Unit for microseconds.

### Element Detail

#### value

    String value

Returns the unit of measure for the time span.

By default, the unit is nanoseconds.

Returns:
  the time span unit, default `#NANOSECONDS`, not `null`

Default:
  "NANOSECONDS"